<?php
/* Autor...:  */
/* Esquema.: FCO_TipoPago.xml */
/* Generado: 2020-08-18 04:21:26 */

/* Metodos de acceso a los campos de la tabla FCO_TipoPago */
abstract class BaseFCO_TipoPagoBN
{
    /* Campos de la tabla */
    private $i_IdTipoPago;    // IdTipoPago: ( no definido )
    private $i_IdCompania;    // IdCompania: ( no definido )
    private $s_Codigo;    // Codigo: ( no definido )
    private $s_Nombre;    // Nombre: ( no definido )
    private $s_ClaseNombre;    // ClaseNombre: ( no definido )
    private $s_Mostrar;    // Mostrar: ( no definido )
    private $s_Estado;    // Estado: ( no definido )
    private $d_FechaCreacion;    // FechaCreacion: ( no definido )
    private $s_UsuarioCreacion;    // UsuarioCreacion: ( no definido )
    private $d_FechaModificacion;    // FechaModificacion: ( no definido )
    private $s_UsuarioModificacion;    // UsuarioModificacion: ( no definido )

    /* Establece el valor del campo IdTipoPago */
    public function setIdTipoPago( $i_IdTipoPago )
    {
        $this->i_IdTipoPago = $i_IdTipoPago;
    }

    /* Obtiene el valor del campo IdTipoPago */
    public function getIdTipoPago()
    {
        return $this->i_IdTipoPago;
    }

    /* Establece el valor del campo IdCompania */
    public function setIdCompania( $i_IdCompania )
    {
        $this->i_IdCompania = $i_IdCompania;
    }

    /* Obtiene el valor del campo IdCompania */
    public function getIdCompania()
    {
        return $this->i_IdCompania;
    }

    /* Establece el valor del campo Codigo */
    public function setCodigo( $s_Codigo )
    {
        $this->s_Codigo = $s_Codigo;
    }

    /* Obtiene el valor del campo Codigo */
    public function getCodigo()
    {
        return $this->s_Codigo;
    }

    /* Establece el valor del campo Nombre */
    public function setNombre( $s_Nombre )
    {
        $this->s_Nombre = $s_Nombre;
    }

    /* Obtiene el valor del campo Nombre */
    public function getNombre()
    {
        return $this->s_Nombre;
    }

    /* Establece el valor del campo ClaseNombre */
    public function setClaseNombre( $s_ClaseNombre )
    {
        $this->s_ClaseNombre = $s_ClaseNombre;
    }

    /* Obtiene el valor del campo ClaseNombre */
    public function getClaseNombre()
    {
        return $this->s_ClaseNombre;
    }

    /* Establece el valor del campo Mostrar */
    public function setMostrar( $s_Mostrar )
    {
        $this->s_Mostrar = $s_Mostrar;
    }

    /* Obtiene el valor del campo Mostrar */
    public function getMostrar()
    {
        return $this->s_Mostrar;
    }

    /* Establece el valor del campo Estado */
    public function setEstado( $s_Estado )
    {
        $this->s_Estado = $s_Estado;
    }

    /* Obtiene el valor del campo Estado */
    public function getEstado()
    {
        return $this->s_Estado;
    }

    /* Establece el valor del campo FechaCreacion */
    public function setFechaCreacion( $d_FechaCreacion )
    {
        $this->d_FechaCreacion = $d_FechaCreacion;
    }

    /* Obtiene el valor del campo FechaCreacion */
    public function getFechaCreacion()
    {
        return $this->d_FechaCreacion;
    }

    /* Establece el valor del campo UsuarioCreacion */
    public function setUsuarioCreacion( $s_UsuarioCreacion )
    {
        $this->s_UsuarioCreacion = $s_UsuarioCreacion;
    }

    /* Obtiene el valor del campo UsuarioCreacion */
    public function getUsuarioCreacion()
    {
        return $this->s_UsuarioCreacion;
    }

    /* Establece el valor del campo FechaModificacion */
    public function setFechaModificacion( $d_FechaModificacion )
    {
        $this->d_FechaModificacion = $d_FechaModificacion;
    }

    /* Obtiene el valor del campo FechaModificacion */
    public function getFechaModificacion()
    {
        return $this->d_FechaModificacion;
    }

    /* Establece el valor del campo UsuarioModificacion */
    public function setUsuarioModificacion( $s_UsuarioModificacion )
    {
        $this->s_UsuarioModificacion = $s_UsuarioModificacion;
    }

    /* Obtiene el valor del campo UsuarioModificacion */
    public function getUsuarioModificacion()
    {
        return $this->s_UsuarioModificacion;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'IdTipoPago' => $this->getIdTipoPago(),
            'IdCompania' => $this->getIdCompania(),
            'Codigo' => $this->getCodigo(),
            'Nombre' => $this->getNombre(),
            'ClaseNombre' => $this->getClaseNombre(),
            'Mostrar' => $this->getMostrar(),
            'Estado' => $this->getEstado(),
            'FechaCreacion' => $this->getFechaCreacion(),
            'UsuarioCreacion' => $this->getUsuarioCreacion(),
            'FechaModificacion' => $this->getFechaModificacion(),
            'UsuarioModificacion' => $this->getUsuarioModificacion(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto FCO_TipoPagoBN desde un RecordSet */
    public static function retrieveByRs( $o_FCO_TipoPagoRs )
    {
        $o_FCO_TipoPagoBN = new FCO_TipoPagoBN();
        $o_FCO_TipoPagoBN->setIdTipoPago( ( integer ) $o_FCO_TipoPagoRs[ "IdTipoPago" ] );
        $o_FCO_TipoPagoBN->setIdCompania( ( integer ) $o_FCO_TipoPagoRs[ "IdCompania" ] );
        $o_FCO_TipoPagoBN->setCodigo( $o_FCO_TipoPagoRs[ "Codigo" ] );
        $o_FCO_TipoPagoBN->setNombre( $o_FCO_TipoPagoRs[ "Nombre" ] );
        $o_FCO_TipoPagoBN->setClaseNombre( $o_FCO_TipoPagoRs[ "ClaseNombre" ] );
        $o_FCO_TipoPagoBN->setMostrar( $o_FCO_TipoPagoRs[ "Mostrar" ] );
        $o_FCO_TipoPagoBN->setEstado( $o_FCO_TipoPagoRs[ "Estado" ] );
        $o_FCO_TipoPagoBN->setFechaCreacion( utilTimestamp::getTimestamp( $o_FCO_TipoPagoRs[ "FechaCreacion" ], "Y-m-d H:i:s" ) );
        $o_FCO_TipoPagoBN->setUsuarioCreacion( $o_FCO_TipoPagoRs[ "UsuarioCreacion" ] );
        $o_FCO_TipoPagoBN->setFechaModificacion( utilTimestamp::getTimestamp( $o_FCO_TipoPagoRs[ "FechaModificacion" ], "Y-m-d H:i:s" ) );
        $o_FCO_TipoPagoBN->setUsuarioModificacion( $o_FCO_TipoPagoRs[ "UsuarioModificacion" ] );
        return $o_FCO_TipoPagoBN;
    }
}
?>